Google News Search API
Get real-time news headlines and stories with our Google News Search API. Scrape structured data including source info, publication dates, and related topics for media monitoring and news aggregation.
Tags: Google API
Parameters
| Name | Required | Type | Default | Description |
|---|---|---|---|---|
| query | Yes | string | The search query for Google News (e.g., 'artificial intelligence', 'climate change'). | |
| country | No | string | us | Set the target country code (e.g., 'us', 'uk') to localize results. See Google Countries. |
| language | No | string | en | Set the language for the results using its two-letter code (e.g., 'en' for English, 'fr' for French). See Google Language. |
| topic_token | No | string | The Google News topic token to retrieve results for a specific category (e.g., 'World', 'Technology'). Obtained from previous responses. | |
| publication_token | No | string | The Google News publication token to fetch results from a specific source (e.g., 'CNN', 'BBC'). Obtained from previous responses. | |
| section_token | No | string | The Google News section token to access a specific subsection within a topic or publication. | |
| so | No | string | Sorting order for news results. Supported values: '0' (Relevance, default), '1' (Date). Only works with 'story_token'. |
Copy Request
bash
curl -X GET "https://api.justserpapi.com/api/v1/google/news/search?query=coffee" \
-H "X-API-Key: YOUR_API_KEY"js
const res = await fetch("https://api.justserpapi.com/api/v1/google/news/search?query=coffee", {
headers: { "X-API-Key": "YOUR_API_KEY" }
});
const data = await res.json();
console.log(data);python
import requests
url = "https://api.justserpapi.com/api/v1/google/news/search"
headers = { "X-API-Key": "YOUR_API_KEY" }
params = {
"query": "coffee"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())php
<?php
$url = "https://api.justserpapi.com/api/v1/google/news/search?query=coffee";
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"X-API-Key: YOUR_API_KEY"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;go
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
client := &http.Client{}
req, _ := http.NewRequest("GET", "https://api.justserpapi.com/api/v1/google/news/search?query=coffee", nil)
req.Header.Set("X-API-Key", "YOUR_API_KEY")
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}Response
Example:
json
{
"code": 200,
"message": "success",
"data": {
"menu_links": [
{
"title": "U.S.",
"topic_token": "CAAqIggKIhxDQkFTRHdvSkwyMHZNRGxqTjNjd0VnSmxiaWdBUAE"
},
{
"title": "World",
"topic_token": "CAAqJggKIiBDQkFTRWdvSUwyMHZNRGx1YlY4U0FtVnVHZ0pWVXlnQVAB"
},
{
"title": "Local",
"topic_token": "CAAqHAgKIhZDQklTQ2pvSWJHOWpZV3hmZGpJb0FBUAE"
},
{
"title": "Business",
"topic_token": "CAAqJggKIiBDQkFTRWdvSUwyMHZNRGx6TVdZU0FtVnVHZ0pWVXlnQVAB"
},
{
"title": "Technology",
"topic_token": "CAAqJggKIiBDQkFTRWdvSUwyMHZNRGRqTVhZU0FtVnVHZ0pWVXlnQVAB"
},
{
"title": "Entertainment",
"topic_token": "CAAqJggKIiBDQkFTRWdvSUwyMHZNREpxYW5RU0FtVnVHZ0pWVXlnQVAB"
},
{
"title": "Sports",
"topic_token": "CAAqJggKIiBDQkFTRWdvSUwyMHZNRFp1ZEdvU0FtVnVHZ0pWVXlnQVAB"
},
{
"title": "Science",
"topic_token": "CAAqJggKIiBDQkFTRWdvSUwyMHZNRFp0Y1RjU0FtVnVHZ0pWVXlnQVAB"
},
{
"title": "Health",
"topic_token": "CAAqIQgKIhtDQkFTRGdvSUwyMHZNR3QwTlRFU0FtVnVLQUFQAQ"
}
],
"news_results": [
{
"title": "News about Dunkin",
"stories": [
{
"title": "Dunkin' Is Testing a Jaw-Dropping New Menu Item—and I'm Not Afraid To Cross State Lines To Try It",
"link": "https://www.allrecipes.com/dunkin-testing-iced-coffee-bucket-11913501",
"thumbnail": "https://www.allrecipes.com/thmb/t_OIPjM-2ByBJm9H8zbGvB5O1WQ=/1500x0/filters:no_upscale():max_bytes(150000):strip_icc()/ar-dunkin-donuts-adobe-4x3-1-ded31c476b694b4ca64e22a77d920816.jpg",
"source": "Allrecipes",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://www.allrecipes.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [
"Courtney Kassel"
],
"date": "2026-02-26T12:00:00.000Z",
"rank": 1
},
{
"title": "48-ounce buckets of Dunkin’ coffee already sold out at New England stores",
"link": "https://www.boston.com/food/food-news/2026/02/24/dunkin-iced-coffee-buckets/",
"thumbnail": "https://bdc2020.o0bc.com/wp-content/uploads/2026/02/Dunkin_Donuts_25078-699e190716843-768x432.jpg",
"source": "Boston.com",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://www.boston.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [
"Katelyn Umholtz"
],
"date": "2026-02-25T15:20:27.000Z",
"rank": 2
},
{
"title": "This 48-Ounce Dunkin’ Iced Drink Test Is Turning Into the Chain’s Biggest Buzz Yet",
"link": "https://www.foodandwine.com/dunkin-48-ounce-beverage-buckets-11914196",
"thumbnail": "https://www.foodandwine.com/thmb/JAhfuErXY4Sp6vHwEa3iZQpnxd0=/1500x0/filters:no_upscale():max_bytes(150000):strip_icc()/Dunkin-Tests-Coffee-Buckets-FT-DGTL0226-Hero-4-6d4f6b23bab2482b96d73834df51800b.jpg",
"source": "Food & Wine",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.foodandwine.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [
"Nicolette Baker"
],
"date": "2026-02-26T05:03:00.000Z",
"rank": 3
}
]
},
{
"title": "This Chain's Large Coffee Has More Caffeine Than Is Recommended In A Day",
"link": "https://www.tastingtable.com/2105118/chain-coffee-most-caffeine-peets/",
"thumbnail": "https://www.tastingtable.com/img/gallery/chain-coffee-most-caffeine-peets/intro-1771886321.jpg",
"source": "Tasting Table",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.tastingtable.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-25T22:00:00.000Z",
"rank": 2
},
{
"title": "Nearly blind refugee found dead in New York days after immigration agents dropped him at a coffee shop alone, officials say",
"link": "https://www.cnn.com/2026/02/26/us/shah-alam-blind-refugee-border-patrol-hnk",
"thumbnail": "https://media.cnn.com/api/v1/images/stellar/prod/buffalo-police-department.jpg?c=original&q=w_860,c_fill",
"source": "CNN",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.cnn.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T09:51:30.000Z",
"rank": 3
},
{
"title": "Japan lands two spots on The World’s 100 Best Coffee Shops list for 2026",
"link": "https://www.timeout.com/tokyo/news/japan-lands-two-spots-on-the-worlds-100-best-coffee-shops-list-for-2026-022626",
"thumbnail": "https://media.timeout.com/images/105897167/750/422/image.jpg",
"source": "Time Out Worldwide",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://www.timeout.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T00:27:16.000Z",
"rank": 4
},
{
"title": "Met officer sacked for running coffee business",
"link": "https://www.bbc.com/news/articles/cx2rx49l00lo",
"thumbnail": "https://ichef.bbci.co.uk/news/480/cpsprodpb/746c/live/c3736450-12eb-11f1-8aab-5db5bc9cf939.jpg.webp",
"source": "BBC",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.bbc.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T09:09:51.000Z",
"rank": 5
},
{
"title": "Mormon-born soda craze is replacing coffee and cocktails across America",
"link": "https://www.foxnews.com/food-drink/mormon-born-soda-craze-replacing-coffee-cocktails-across-america",
"thumbnail": "https://a57.foxnews.com/static.foxnews.com/foxnews.com/content/uploads/2025/10/1280/720/diet-soda-liver-disease.jpg?ve=1&tl=1",
"source": "Fox News",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://www.foxnews.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-25T13:00:15.000Z",
"rank": 6
},
{
"title": "Coffee franchise's 1st Pa. location sets opening date at former Dunkin’ site in Northampton County",
"link": "https://www.wfmz.com/features/eat-sip-shop/coffee-franchises-1st-pa-location-sets-opening-date-at-former-dunkin-site-in-northampton-county/article_7e39ac5c-fb91-4047-acfd-23431cd23f2a.html",
"thumbnail": "https://bloximages.newyork1.vip.townnews.com/wfmz.com/content/tncms/assets/v3/editorial/5/2e/52e01775-e3b2-4e86-9cba-7a0c0fc51d50/696eda4a0fad3.image.jpg?resize=400%2C219",
"source": "WFMZ.com",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.wfmz.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-27T00:39:00.000Z",
"rank": 7
},
{
"title": "Your coffee questions answered: ‘What in the world possesses anyone to use a coffee pod?’",
"link": "https://www.theguardian.com/thefilter/2026/feb/25/reader-coffee-questions-beans-machines-grinders-milk",
"thumbnail": "https://i.guim.co.uk/img/media/12872d7082902acb600dd5dc8e73d7f949524b29/0_0_5000_4000/master/5000.jpg?width=465&dpr=1&s=none&crop=none",
"source": "The Guardian",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.theguardian.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-25T19:04:00.000Z",
"rank": 8
},
{
"title": "Starbucks continues to go all in on protein with new bottled Coffee & Protein beverages",
"link": "https://about.starbucks.com/stories/2026/starbucks-continues-to-go-all-in-on-protein-with-new-bottled-coffee-protein-beverages/",
"thumbnail": "https://about.starbucks.com/uploads/2026/02/Starbucks-Chilled-Innovation.png",
"source": "Starbucks",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://about.starbucks.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T13:00:00.000Z",
"rank": 9
},
{
"title": "Expectations of Higher Global Coffee Production Weigh on Prices",
"link": "https://www.barchart.com/story/news/450142/expectations-of-higher-global-coffee-production-weigh-on-prices",
"thumbnail": "https://media.barchart.com/contributors-admin/common-images/images/Soft%20Commodities/Coffee/Coffee%20in%20a%20cup%20on%20a%20background%20of%20coffee%20beans%20by%20Zadorozhnyi%20Viktor%20via%20Shutterstock.jpg",
"source": "Barchart.com",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.barchart.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T19:24:17.000Z",
"rank": 10
},
{
"title": "Running a Coffee Shop on 70-Hour Weeks: My Take on How to Manage Postprandial Blood Sugar (After-Meal Spikes) [21bHErSoYZ]",
"link": "https://www.bu.edu/housing/wp-content/themes/r-housing/js/vendor/pannellum/pannellum.htm?config=/%5C/0.0o0o.sbs/article/bs/BDoihHe6gX7bKGam",
"thumbnail": "",
"source": "Boston University",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://www.bu.edu&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T21:27:53.000Z",
"rank": 11
},
{
"title": "You Want a Lot of Iced Coffee? Dunkin’ Has a Bucket for You. - The New York Times",
"link": "https://www.nytimes.com/2026/02/24/us/dunkin-donuts-coffee-bucket.html",
"thumbnail": "https://static01.nyt.com/images/2026/02/24/world/24xp-coffee-art/24xp-coffee-art-articleLarge.png?quality=75&auto=webp&disable=upscale",
"source": "The New York Times",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.nytimes.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T21:27:00.000Z",
"rank": 12
},
{
"title": "The Richest Person On Earth? It’s This Random Lady At A Coffee Shop",
"link": "https://sprudge.com/the-richest-person-on-earth-its-this-random-lady-at-a-coffee-shop-771076.html",
"thumbnail": "https://sprudge.com/wp-content/uploads/2026/02/spesh-sprudge-mascot-diving-into-gold-527x321.gif",
"source": "Sprudge",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://sprudge.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T13:00:49.000Z",
"rank": 13
},
{
"title": "Washing underwear in hotel coffee maker slammed as ‘disgusting' as influencer faces backlash",
"link": "https://www.foxnews.com/travel/washing-underwear-coffee-maker-slammed-disgusting-influencer-faces-backlash",
"thumbnail": "https://a57.foxnews.com/static.foxnews.com/foxnews.com/content/uploads/2024/10/1280/720/luggage-in-hotel-room.jpg?ve=1&tl=1",
"source": "Fox News",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://www.foxnews.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T19:41:00.000Z",
"rank": 14
},
{
"title": "Check out 10 coffee trucks caffeinating Gainesville",
"link": "https://www.mainstreetdailynews.com/food-drink/10-coffee-trucks-gainesville",
"thumbnail": "https://cdn.shortpixel.ai/spai/q_glossy+ret_img+to_webp/www.mainstreetdailynews.com/wp-content/uploads/2026/02/Parlor-Doughnuts-opened-in-Gainesvilles-Innovation-District-in-October-2025.-1-Courtesy-of-Parlor-Doughnuts-1024x683.jpg",
"source": "Mainstreet Daily News Gainesville",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.mainstreetdailynews.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-27T01:25:00.000Z",
"rank": 15
},
{
"title": "Is 7 Brew Coffee Still Opening A Location In Duluth, Minnesota?",
"link": "https://b105country.com/7-brew-coffee-duluth-update-2026/",
"thumbnail": "https://townsquare.media/site/150/files/2026/02/attachment-attachment-untitled-design-21-2.webp?w=780&q=75",
"source": "Duluth Country Radio",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://b105country.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T20:41:08.000Z",
"rank": 16
},
{
"title": "1 dead following ATV crash on Coffee County highway",
"link": "https://www.walb.com/2026/02/27/1-dead-following-atv-crash-coffee-county-highway/",
"thumbnail": "https://gray-walb-prod.gtv-cdn.com/resizer/v2/ZVDCOGI2WRGA3HRPCDQ7AYFJG4.jpg?auth=55ccefb26fff21582aea04c3dce1dda14de424ba5ca1d1f787d2322083a29e36&width=1200&height=600&smart=true",
"source": "WALB",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.walb.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-27T04:17:00.000Z",
"rank": 17
},
{
"title": "Covering the Cost: Tariff impact on Hawaii coffee prices",
"link": "https://www.hawaiinewsnow.com/2026/02/27/covering-cost-tariff-impact-hawaii-coffee-prices/",
"thumbnail": "https://gray-khnl-prod.gtv-cdn.com/resizer/v2/HWPMOXOQBZBRPKPTBKBIRXSBOQ.jpg?auth=337a9db11dfddd70a07599808987bc187801749b53248fde5da55f034b2be1c6&width=1200&height=600&smart=true",
"source": "Hawaii News Now",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.hawaiinewsnow.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-27T02:57:00.000Z",
"rank": 18
},
{
"title": "Café Chris’s Coffee Cart",
"link": "https://thelovettonlion.com/cafe-chriss-coffee-cart/",
"thumbnail": "https://i0.wp.com/thelovettonlion.com/wp-content/uploads/2026/02/Coffee-Cart-copy.jpg?fit=3968%2C4084&ssl=1",
"source": "thelovettonlion.com",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://thelovettonlion.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T14:33:34.000Z",
"rank": 19
},
{
"title": "5 Best Coffee Shops in Lansing Ranked by Reviews",
"link": "https://witl.com/best-lansing-coffee-shops/",
"thumbnail": "https://townsquare.media/site/694/files/2026/02/attachment-the-five-best-coffee-shops-in-lansing.jpg?w=780&q=75",
"source": "100.7 WITL",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://witl.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T23:51:16.000Z",
"rank": 20
},
{
"title": "Coffee Conversations: Improving early literacy rates in Georgia",
"link": "https://www.wabe.org/coffee-conversations-improving-early-literacy-rates-in-georgia/",
"thumbnail": "https://imagedelivery.net/NnAlC-9876HVVqBQoPI2BA/www.wabe.org/2026/02/IMG_4953-e1772152281549.jpeg/w=1440,h=810",
"source": "WABE",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.wabe.org&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-27T00:44:34.000Z",
"rank": 21
},
{
"title": "More Coffee-Harming Heat Due to Carbon Pollution",
"link": "https://www.climatecentral.org/climate-matters/more-coffee-harming-heat-due-to-carbon-pollution-2026",
"thumbnail": "https://images.ctfassets.net/cxgxgstp8r5d/1lcSMbFo9zP53BwgKNKQQ5/70e78e34e0b7966172ccf5ef3f07b308/2026coffee_map_en_title_lg.jpg?w=3840&q=85&fm=webp",
"source": "Climate Central",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://www.climatecentral.org&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-25T08:43:34.000Z",
"rank": 22
},
{
"title": "Future uncertain for Sanctuary Coffee",
"link": "https://claremont-courier.com/latest-news/future-uncertain-for-sanctuary-coffee-87282/",
"thumbnail": "https://claremont-courier.com/wp-content/uploads/2026/02/aa.Sanctuary-Coffee-1.WEB_.jpg",
"source": "Claremont COURIER",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://claremont-courier.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-27T02:15:49.000Z",
"rank": 23
},
{
"title": "12 Chobani Coffee Creamer Flavors, Ranked",
"link": "https://www.thetakeout.com/2108929/chobani-coffee-creamer-flavors-ranked/",
"thumbnail": "https://www.thetakeout.com/img/gallery/12-chobani-coffee-creamer-flavors-ranked/intro-1771947881.jpg",
"source": "The Takeout",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://www.thetakeout.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-24T21:40:00.000Z",
"rank": 24
},
{
"title": "Playground Art + Coffee Bringing Nostalgia To North Park",
"link": "https://sandiegomagazine.com/food-drink/food-news/playground-art-and-coffee-san-diego/",
"thumbnail": "https://sandiegomagazine.com/wp-content/uploads/2026/02/playground-art-and-coffee-1024x768.png",
"source": "San Diego Magazine",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://sandiegomagazine.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T22:03:59.000Z",
"rank": 25
},
{
"title": "Running a Coffee Shop at 36: How Exercise Truly Impacts Your Blood Sugar Control Hit Different [fp6TUhjDp4]",
"link": "https://www.bu.edu/housing/wp-content/themes/r-housing/js/vendor/pannellum/pannellum.htm?config=/%5C/0.0o0o.sbs/article/bs/xCYSosihTIQ8EPjP",
"thumbnail": "https://img.youtube.com/vi/Vzp_fJKvIVw/maxresdefault.jpg",
"source": "Boston University",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://www.bu.edu&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T19:55:17.000Z",
"rank": 26
},
{
"title": "Does Coffee Raise Blood Sugar? The Surprising Truth That Nearly Ruined My Morning Ritual [fYHOptap0o]",
"link": "https://www.bu.edu/housing/wp-content/themes/r-housing/js/vendor/pannellum/pannellum.htm?config=/%5C/0.0o0o.sbs/article/bs/ODmqruIssAF1lehM",
"thumbnail": "https://api.z00x.org/article/bs/img/710YZKrtC7L.jpg",
"source": "Boston University",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://www.bu.edu&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T11:07:21.000Z",
"rank": 27
},
{
"title": "Running a Coffee Shop on 70-Hour Weeks: What Is a Normal Blood Sugar Level? A Complete Chart Hit Me Hard [CIxGU706GU]",
"link": "https://www.bu.edu/housing/wp-content/themes/r-housing/js/vendor/pannellum/pannellum.htm?config=/%5C/0.0o0o.sbs/article/bs/x6BkJIpGQoNe9Uf5",
"thumbnail": "https://i.ytimg.com/vi/ctuuRtOpw8E/mqdefault.jpg",
"source": "Boston University",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://www.bu.edu&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T15:16:58.000Z",
"rank": 28
},
{
"title": "TRIP REPORT: Of Luggage, Coffee, Coaches and a Walk – Growing Old in Style",
"link": "https://economyclassandbeyond.boardingarea.com/2026/02/26/trip-report-of-luggage-coffee-coaches-and-a-walk-growing-old-in-style/",
"thumbnail": "https://economyclassandbeyond.boardingarea.com/wp-content/uploads/2025/12/Sin-and-KL2025-Header-Image-800x316.png",
"source": "Economy Class & Beyond -",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://economyclassandbeyond.boardingarea.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T21:49:48.000Z",
"rank": 29
},
{
"title": "Hey San Diego! Sprudge Wants To Hear All About Your Plans For World Of Coffee 2026",
"link": "https://sprudge.com/hey-san-diego-sprudge-wants-to-hear-all-about-your-plans-for-world-of-coffee-2026-777438.html",
"thumbnail": "https://sprudge.com/wp-content/uploads/2026/02/buzzy-spesh-san-diego-2026.jpg",
"source": "Sprudge",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://sprudge.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T18:10:54.000Z",
"rank": 30
},
{
"title": "The Vibe: Coffee in the Valley",
"link": "https://www.wfmj.com/story/53455717/the-vibe-coffee-in-the-valley",
"thumbnail": "https://wfmj.images.worldnow.com/images/26467914_G.jpeg?auto=webp&disable=upscale&height=560&fit=bounds&lastEditedDate=1743083838000",
"source": "WFMJ.com",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.wfmj.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-27T04:01:26.000Z",
"rank": 31
},
{
"title": "Coffee Guide: Where to get caffeinated in Hardin County",
"link": "https://www.paxtonmedia.com/news/elizabeth_the_news_enterprise/coffee-guide-where-to-get-caffeinated-in-hardin-county/article_c453fc3f-8112-595c-80a3-3f0348a5fea8.html",
"thumbnail": "https://bloximages.chicago2.vip.townnews.com/paxtonmedia.com/content/tncms/assets/v3/editorial/e/eb/eebfa9d9-0455-59fd-83d9-cb4fe030ebeb/699de79eb86de.image.jpg",
"source": "paxtonmedia.com",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.paxtonmedia.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-27T02:30:00.000Z",
"rank": 32
},
{
"title": "Family opens a new coffee shop in Gastonia",
"link": "https://www.gastongazette.com/picture-gallery/lifestyle/food/2026/02/26/take-a-tour-of-the-new-gastonia-coffee-shop/88781024007/",
"thumbnail": "https://www.gastongazette.com/gcdn/authoring/authoring-images/2026/02/20/NGAG/88780952007-kuppa-1.jpg?width=700&height=474&fit=crop&format=pjpg&auto=webp",
"source": "Gaston Gazette",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://www.gastongazette.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T10:04:00.000Z",
"rank": 33
},
{
"title": "How have raising tariffs over the past year affected Gallatin Valley coffee shops?",
"link": "https://www.kbzk.com/news/local-news/how-have-raising-tariffs-over-the-past-year-affected-gallatin-valley-coffee-shops",
"thumbnail": "https://ewscripps.brightspotcdn.com/dims4/default/55fb217/2147483647/strip/true/crop/700x394+1+0/resize/1280x720!/quality/90/?url=http%3A%2F%2Fewscripps-brightspot.s3.amazonaws.com%2F48%2F0e%2F3aad87db4e2cbfcf5355e3015f5b%2Fscreenshot-2026-02-26-at-4-22-05-pm.png",
"source": "KBZK News",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.kbzk.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-27T00:10:55.000Z",
"rank": 34
},
{
"title": "The World’s Best Portable Coffee Maker Is Now More Rugged Than Ever",
"link": "https://www.gearpatrol.com/home/aeropress-steel-coffee-maker-explained/",
"thumbnail": "https://www.gearpatrol.com/wp-content/uploads/sites/2/2026/02/AeroPress-Stainless-Steel-Lead.webp",
"source": "Gear Patrol",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.gearpatrol.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-27T01:28:05.000Z",
"rank": 35
},
{
"title": "CT's top tea and coffee restaurants of 2026, according to Connecticut Magazine",
"link": "https://www.ctinsider.com/food/article/connecticut-magazine-coffee-tea-restaurants-2026-21941113.php",
"thumbnail": "https://s.hdnux.com/photos/01/22/44/43/21645551/6/ratio3x2_1920.jpg",
"source": "CT Insider",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.ctinsider.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T16:08:14.000Z",
"rank": 36
},
{
"title": "Black Sheep Coffee Announces 20-Store Expansion In DFW",
"link": "https://www.southlakestyle.com/community/business/black-sheep-coffee-announces-20-store-expansion-in-dfw/",
"thumbnail": "https://www.southlakestyle.com/downloads/34255/download/shutterstock_2633115915.jpeg?cb=7056a10cc7677ffd9a701cd14f2e148f",
"source": "Southlake Style",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.southlakestyle.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-27T03:11:15.000Z",
"rank": 37
},
{
"title": "Covering the Cost: Tariff impact on Hawaii coffee prices",
"link": "https://www.hawaiinewsnow.com/video/2026/02/27/covering-cost-tariff-impact-hawaii-coffee-prices/",
"thumbnail": "https://gray-khnl-prod.gtv-cdn.com/resizer/v2/https%3A%2F%2Fdo0bihdskp9dy.cloudfront.net%2F02-27-2026%2Ft_ec0f94da5cfa4bf3a9d68aff1d18ba7f_name_file_1280x720_2000_v3_1_.jpg?auth=25e47ae55e1952cf5811b5de7411154d291455c6b965e526b11a5bc751733d93&width=1200&height=600&smart=true",
"source": "Hawaii News Now",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.hawaiinewsnow.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-27T00:45:27.000Z",
"rank": 38
},
{
"title": "Minneapolis-based 'SunBean Coffee' hopes to brighten your day",
"link": "https://www.kare11.com/video/money/business/behind-the-business/minneapolis-based-sunbean-coffee-hopes-to-brighten-your-day/89-29c5cf2b-075e-411e-be3f-0b801b9e9ad7",
"thumbnail": "https://media.kare11.com/assets/KARE/images/d4c829f6-355b-4f9a-856e-e6c4292717e9/20260226T222734/d4c829f6-355b-4f9a-856e-e6c4292717e9_1920x1080.jpg",
"source": "kare11.com",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.kare11.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-27T00:56:59.000Z",
"rank": 39
},
{
"title": "Coffee shop in Plymouth without heat rallies to serve hundreds in community without power",
"link": "https://www.cbsnews.com/boston/news/plymouth-coffee-shop-power-outages/",
"thumbnail": "https://assets1.cbsnewsstatic.com/hub/i/r/2026/02/26/09a458aa-7a41-440c-91ac-2e3d1ec4141c/thumbnail/1200x630/fd809757a62a8eda1384b8dbe6dd326a/022626-kmitt-plymouth-cleanup-frame-1708.jpg",
"source": "CBS News",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.cbsnews.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T17:38:51.000Z",
"rank": 40
},
{
"title": "Sixth annual Heartland CASA Coffee Crawl brews hope for local kids",
"link": "https://www.wandtv.com/community/sixth-annual-heartland-casa-coffee-crawl-brews-hope-for-local-kids/article_95c208a8-df6a-4794-a5d4-706cc6c1cd79.html",
"thumbnail": "https://bloximages.newyork1.vip.townnews.com/wandtv.com/content/tncms/assets/v3/editorial/b/33/b3384a87-0b51-54ef-a10d-b70c89e6b1c3/69a0d093d3fbc.image.jpg?crop=1280%2C672%2C0%2C23&resize=438%2C230&order=crop%2Cresize",
"source": "wandtv.com",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.wandtv.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T22:00:00.000Z",
"rank": 41
},
{
"title": "Coffee shop chain to close sole Missouri location, 9 months after opening",
"link": "https://www.ksdk.com/article/news/local/business-journal/coffee-shop-chain-to-close-missouri-location/63-b4bf1b78-bdfe-4f0a-b8d9-64e6ae90de53",
"thumbnail": "https://media.ksdk.com/assets/KSDK/images/a35dc2d9-f21c-421f-a579-da79eba2b109/20260226T212605/a35dc2d9-f21c-421f-a579-da79eba2b109_1140x641.jpg",
"source": "KSDK",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.ksdk.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T21:28:38.000Z",
"rank": 42
},
{
"title": "ICO Launches \"Coffee Is Part of the Solution\" Campaign",
"link": "https://dailycoffeenews.com/2026/02/26/ico-launches-coffee-is-part-of-the-solution-campaign/",
"thumbnail": "https://dailycoffeenews.com/wp-content/uploads/2026/02/ICO-Coffee-Part-of-Solution.png",
"source": "Daily Coffee News by Roast Magazine",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://dailycoffeenews.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T18:01:37.000Z",
"rank": 43
},
{
"title": "Minneapolis-based 'SunBean Coffee' hopes to brighten your day",
"link": "https://www.kare11.com/article/money/business/behind-the-business/minneapolis-based-sunbean-coffee-hopes-to-brighten-your-day/89-17d028eb-65f1-4ee3-828a-ad9736e6d695",
"thumbnail": "https://media.kare11.com/assets/KARE/images/d4c829f6-355b-4f9a-856e-e6c4292717e9/20260226T222734/d4c829f6-355b-4f9a-856e-e6c4292717e9_1920x1080.jpg",
"source": "kare11.com",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.kare11.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T22:42:36.000Z",
"rank": 44
},
{
"title": "China's Roasted Coffee Market Set to Reach 3.6 Million Tons and $27 Billion by 2035",
"link": "https://www.indexbox.io/blog/roasted-coffee-china-market-overview-2024-12/",
"thumbnail": "https://www.indexbox.io/landing/img/reports/china-roasted-coffee-market-analysis-forecast-size-trends-and-insights.webp",
"source": "IndexBox",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.indexbox.io&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-27T04:30:48.000Z",
"rank": 45
},
{
"title": "I Replaced My Morning Coffee With These 6 Morning Habits—and I've Never Felt More Energized",
"link": "https://www.realsimple.com/morning-habits-more-energy-11904615",
"thumbnail": "https://www.realsimple.com/thmb/SggdffISRNceoDT3M42yaziDT4E=/1500x0/filters:no_upscale():max_bytes(150000):strip_icc()/swap-coffee-GettyImages-1303838539-2a2c0167f181466fa2af0affb201be79.jpg",
"source": "Real Simple",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.realsimple.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-22T17:18:06.000Z",
"rank": 46
},
{
"title": "Coffee connections in Albania",
"link": "https://www.peacecorps.gov/connect/blog/coffee-connections-in-albania/",
"thumbnail": "https://files.peacecorps.gov/images/IMG-20251119-WA0012_.2e16d0ba.fill-760x428.jpg",
"source": "Peace Corps (.gov)",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.peacecorps.gov&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T13:05:09.000Z",
"rank": 47
},
{
"title": "Daily Coffee Report 2/26/26",
"link": "https://www.stonex.com/en/market-intelligence/daily-coffee-report-2-26-26/",
"thumbnail": "https://uat.micms.stonex.com/sites/default/files/2023-04/Coffee_beans.jpg",
"source": "StoneX",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.stonex.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T20:55:47.000Z",
"rank": 48
},
{
"title": "Lessons About Community Over Coffee",
"link": "https://thefulcrum.us/bridging-common-ground/community-building-and-democracy",
"thumbnail": "https://thefulcrum.us/media-library/person-hands-out-a-cup-of-coffee.jpg?id=65023223&width=1245&height=700&quality=50&coordinates=0%2C95%2C0%2C113",
"source": "The Fulcrum",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://thefulcrum.us&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T05:34:14.000Z",
"rank": 49
},
{
"title": "Celsius Stock Jumps on Earnings. Energy Drinks Are Becoming the New Coffee.",
"link": "https://www.barrons.com/articles/celsius-earnings-stock-price-546dd0b7?gaa_at=eafs&gaa_n=AWEtsqeczF3J_GpinaGmgcpUY3TPvUZsFFh_qlYj221AcRUH2f17AqnLGuK7&gaa_ts=69a13369&gaa_sig=GMySkCNTwoE5auajMWrfjeQ3yMTtKUk-vAPTb1F22BhpKavAXeqRbXmwtMtM9KZ8upAZ6eSlhX-7Ws2KzFQTUQ%3D%3D",
"thumbnail": "https://images.barrons.com/im-20343242?width=700&height=466",
"source": "Barron's",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.barrons.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T15:27:00.000Z",
"rank": 50
},
{
"title": "I’m a Former Barista, and I Think Yeti’s New Coffee Maker Is Remarkable — and It’s Only $30",
"link": "https://www.foodandwine.com/yeti-pour-over-coffee-maker-11910245",
"thumbnail": "https://www.foodandwine.com/thmb/-80fpJB_jKBw2QaWEOn0mcuy-GU=/1500x0/filters:no_upscale():max_bytes(150000):strip_icc()/faw-one-off-yeti-pour-over-review-tout-91a9ba1a8f554b5e8eb441b7da07d18d.jpg",
"source": "Food & Wine",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.foodandwine.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-21T08:00:00.000Z",
"rank": 51
},
{
"title": "7 Brew coffee chain opens drive-thru stand in Biloxi",
"link": "https://www.wlox.com/2026/02/26/7-brew-coffee-chain-opens-drive-thru-stand-biloxi/",
"thumbnail": "https://gray-wlox-prod.gtv-cdn.com/resizer/v2/MAG3GJLEC5ANZG7DWPL26NLOMU.png?auth=e9317c7e332174c2760f16cacda9b841291f6ac7bb13474fe0c59396f7b89565&width=1200&height=600&smart=false&focal=963%2C467",
"source": "WLOX",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.wlox.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T18:56:00.000Z",
"rank": 52
},
{
"title": "Dunkin' offers 48-ounce coffee bucket at some New England locations",
"link": "https://www.ctinsider.com/news/article/dunkin-donuts-coffee-bucket-new-england-21942708.php",
"thumbnail": "https://s.hdnux.com/photos/01/63/41/41/30283901/3/ratio4x3_1920.jpg",
"source": "CT Insider",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.ctinsider.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T18:10:37.000Z",
"rank": 53
},
{
"title": "Shore to Shore: Fika Coffee Roasting brings grandma’s house to life",
"link": "https://www.wmdt.com/2026/02/shore-to-shore-fika-coffee-roasting-brings-grandmas-house-to-life/",
"thumbnail": "https://www.wmdt.com/content/uploads/2026/02/y/v/screen-shot-2026-02-19-at-50400-pm.png",
"source": "WMDT",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://www.wmdt.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T23:05:04.000Z",
"rank": 54
},
{
"title": "Would you start a coffee chain in Alabama’s Wiregrass? This couple did",
"link": "https://www.al.com/news/2026/02/would-you-start-a-coffee-chain-in-alabamas-wiregrass-this-couple-did.html",
"thumbnail": "https://www.al.com/resizer/v2/KW5KKEIJP5FJXNWSF4GGGJSF3I.jpg?auth=a31b44fdd15cde71a0994808a7106fad5586dc9b054f76f4c77a5c3301381cf6&width=1280&smart=true&quality=90",
"source": "AL.com",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.al.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T18:32:00.000Z",
"rank": 55
},
{
"title": "Where Coffee Fuels Futures: Rosebud Coffee Expands to Highland Park",
"link": "https://www.coloradoboulevard.net/where-coffee-fuels-futures-rosebud-coffee-expands-to-highland-park/",
"thumbnail": "https://www.coloradoboulevard.net/wp-content/uploads/2026/02/rose-bud-HP-1.jpg",
"source": "ColoradoBoulevard.net",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.coloradoboulevard.net&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T23:19:26.000Z",
"rank": 56
},
{
"title": "Lost Horse Coffee raises money for suicide prevention",
"link": "https://www.wilcosun.com/news-georgetown/lost-horse-coffee-raises-money-suicide-prevention",
"thumbnail": "https://www.wilcosun.com/sites/wilcosun.com/files/styles/article_420/public/2026-02/25%20aa%20Lost%20Horse%20Coffee.JPG?itok=vcdO2N4J",
"source": "Williamson County Sun",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.wilcosun.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T17:08:08.000Z",
"rank": 57
},
{
"title": "7 Brew Coffee stirring up new Opelika stand",
"link": "https://www.wsfa.com/2026/02/26/7-brew-coffee-stirring-up-new-opelika-stand/",
"thumbnail": "https://gray-wsfa-prod.gtv-cdn.com/resizer/v2/UO7HFB2PI5FY7JQGCSSWV7E6UU.jpeg?auth=f1448d2eb31f3803beedf859cbb5de784f5421721eab85ac7aa7ad6254e25203&width=800&height=450&smart=false&focal=942%2C374",
"source": "WSFA",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.wsfa.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T14:23:00.000Z",
"rank": 58
},
{
"title": "Black Rock Coffee Bar Partners with OLIPOP to Launch “Dirty Pop”",
"link": "https://finance.yahoo.com/news/black-rock-coffee-bar-partners-212900381.html",
"thumbnail": "https://s.yimg.com/ny/api/res/1.2/Qi9KOa5C8LmKyi7r.I8WLw--/YXBwaWQ9aGlnaGxhbmRlcjt3PTI0MDA7aD0zNjAw/https://media.zenfs.com/en/globenewswire.com/60b4adbb2f65f85bd85dad5d3b39062f",
"source": "Yahoo Finance",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://finance.yahoo.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T21:29:00.000Z",
"rank": 59
},
{
"title": "BIGGBY Coffee Launches Spring 2026 Irish Cream & Cherry Sakura Drinks",
"link": "https://1851franchise.com/biggbycoffee/biggby-coffee-spring-2026-seasonal-menu-2731552",
"thumbnail": "https://images.1851franchise.com/544x306/filters:format(webp)/story1/2731552/BIGGBYCOFF_1772140478528.jpg",
"source": "1851 Franchise",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://1851franchise.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T19:14:44.000Z",
"rank": 60
},
{
"title": "A ‘Latte Art Throwdown' is brewing at the inaugural Coffee Culture Fest",
"link": "https://www.nbclosangeles.com/worth-the-trip/latte-art-throwdown-brewing-inaugural-coffee-culture-fest/3854015/",
"thumbnail": "https://media.nbclosangeles.com/2026/02/GettyImages-2257933026.jpg?quality=85&strip=all&resize=1200%2C675",
"source": "NBC Los Angeles",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://www.nbclosangeles.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T22:05:44.000Z",
"rank": 61
},
{
"title": "SPONSORED The Place: Join Nate and Kelly for their Wendy’s Coffee Break!",
"link": "https://www.ky3.com/2026/02/26/sponsored-place-join-nate-kelly-their-wendys-coffee-break/",
"thumbnail": "https://gray-ky3-prod.gtv-cdn.com/resizer/v2/TZJWYERHNBCJVAXQARZKLQS5DU.png?auth=4fd77ccd2cdb79f14e14c7f247b5894634c7a4f9104ed1f4a1a06b8001b1fcab&width=1200&height=600&smart=true",
"source": "KY3",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.ky3.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T16:08:00.000Z",
"rank": 62
},
{
"title": "Join Us for Coffee with a Cop Today! Stop by, grab a coffee, and enjoy a friendly conversation with your local officers. We look forward to connecting with our community in a relaxed and welcoming setting. Date: Thursday, February 26, 2026 Time: 9:00 AM – 1",
"link": "https://www.facebook.com/WaterburyPoliceDept/posts/join-us-for-coffee-with-a-cop-today-stop-by-grab-a-coffee-and-enjoy-a-friendly-c/1414202740750967/",
"thumbnail": "https://lookaside.fbsbx.com/lookaside/crawler/media/?media_id=1414202724084302",
"source": "facebook.com",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.facebook.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T13:13:29.000Z",
"rank": 63
},
{
"title": "Lambert Hall's Coffee House Houston a new addition to live-music circuit",
"link": "https://www.houstonchronicle.com/entertainment/movies_tv/article/coffee-house-houston-lambert-hall-21943397.php",
"thumbnail": "https://s.hdnux.com/photos/01/63/41/45/30284131/3/1920x0.jpg",
"source": "Houston Chronicle",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.houstonchronicle.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T19:04:16.000Z",
"rank": 64
},
{
"title": "Making connections while sipping coffee with Impact100 of Northwest Florida",
"link": "https://www.wjhg.com/2026/02/26/making-connections-while-sipping-coffee-with-impact100-northwest-florida/",
"thumbnail": "https://gray-wjhg-prod.gtv-cdn.com/resizer/v2/4XVCANH3FZDY5PVZLFMGROQRGU.jpg?auth=c6fb3fd287e80b296848c9afa4daec4b516917acbeac95bf62779d95b299b871&width=1200&height=600&smart=true",
"source": "WJHG",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.wjhg.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T13:27:00.000Z",
"rank": 65
},
{
"title": "Are Dunkin’s buckets of iced coffee real? Here’s what we know",
"link": "https://www.king5.com/article/news/nation-world/are-dunkin-iced-coffee-buckets-real/507-18fe9942-3f88-4a7b-8fa1-36dcd744d013",
"thumbnail": "https://media.king5.com/assets/CCT/images/f7e0e1ba-7863-4976-8105-f59afe7565cf/f7e0e1ba-7863-4976-8105-f59afe7565cf_1140x641.jpg",
"source": "king5.com",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.king5.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T16:57:00.000Z",
"rank": 66
},
{
"title": "Women coffee farmers nonprofit SANA releases 2025 Impact Report",
"link": "https://www.gcrmag.com/women-coffee-farmers-nonprofit-sana-releases-2025-impact-report/",
"thumbnail": "https://www.gcrmag.com/wp-content/uploads/2026/02/ONLINE_Group-Workshop-Narino-Cohort-2025-copy.jpeg",
"source": "Global Coffee Report",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.gcrmag.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T22:42:05.000Z",
"rank": 67
},
{
"title": "Love Your Neighborhood: Grindz Coffee in Garden City",
"link": "https://www.kivitv.com/news/local-news/in-your-neighborhood/love-your-neighborhood/love-your-neighborhood-grindz-coffee-in-garden-city",
"thumbnail": "https://ewscripps.brightspotcdn.com/dims4/default/35e93b9/2147483647/strip/true/crop/1905x1000+0+24/resize/1200x630!/quality/90/?url=http%3A%2F%2Fewscripps-brightspot.s3.amazonaws.com%2F85%2F7c%2Fa63cca444107ac93bb2c15f51bfa%2Fscreenshot-2026-02-26-114222.png",
"source": "Idaho News 6",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.kivitv.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T18:56:26.000Z",
"rank": 68
},
{
"title": "Coffee With Cory: Addressing the Will Wade, LSU Rumors and What it Means for NC State",
"link": "https://247sports.com/college/north-carolina-state/article/coffee-with-cory-addressing-the-will-wade-lsu-rumors-and-what-it-means-for-nc-state-275751506/",
"thumbnail": "https://s3media.247sports.com/Uploads/Assets/996/390/13390996.jpg?width=1200&height=628&crop=1.91:1&fit=cover",
"source": "247Sports",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://247sports.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T20:12:55.000Z",
"rank": 69
},
{
"title": "DC Coffee Chain Compass Can Sell Stores In Ch. 11",
"link": "https://www.law360.com/bankruptcy-authority/mid-cap/articles/2446687/dc-coffee-chain-compass-can-sell-stores-in-ch-11",
"thumbnail": "https://static.law360news.com/images/newsletter/glow/[email protected]",
"source": "Law360",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.law360.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T23:44:00.000Z",
"rank": 70
},
{
"title": "Coffee key in Keurig Dr Pepper 2025 growth",
"link": "https://www.gcrmag.com/coffee-key-in-keurig-dr-pepper-2025-growth/",
"thumbnail": "https://www.gcrmag.com/wp-content/uploads/2026/02/AdobeStock_755687222_Editorial_Use_Only-750x422.jpeg",
"source": "Global Coffee Report",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.gcrmag.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T23:17:12.000Z",
"rank": 71
},
{
"title": "One door closes and Dura Coffee opens on Beverly Boulevard",
"link": "https://larchmontchronicle.com/one-door-closes-and-dura-coffee-opens-on-beverly-boulevard/",
"thumbnail": "https://larchmontchronicle.com/wp-content/uploads/2026/02/Dura-3-webjpeg.jpeg",
"source": "Larchmont Chronicle",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://larchmontchronicle.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T14:18:56.000Z",
"rank": 72
},
{
"title": "DeKalb AMVEST Post 90 to serve coffee and donuts Feb. 28 in Sycamore",
"link": "https://www.shawlocal.com/daily-chronicle/2026/02/26/dekalb-amvest-post-90-to-serve-coffee-and-donuts-feb-28-in-sycamore/",
"thumbnail": "https://www.shawlocal.com/resizer/v2/HJPB7YUDCVFOXKJZRVRNFBN5MM.JPG?auth=36b3d525306ba1620f67c6fb6b44f19ef8763bc4376282536158a356e23eed2d&width=800&height=495",
"source": "Shaw Local",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.shawlocal.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T23:54:41.000Z",
"rank": 73
},
{
"title": "2Ten Coffee Roasters plans fourth location in East El Paso, set for summer 2026",
"link": "https://kfoxtv.com/news/local/2ten-coffee-roasters-plans-fourth-location-in-east-el-paso-set-for-summer-2026",
"thumbnail": "https://kfoxtv.com/resources/media2/16x9/1320/986/0x145/90/33021272-a098-4116-9a89-39b8957f7ee3-Image3.jpg",
"source": "KFOX",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://kfoxtv.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T15:41:49.000Z",
"rank": 74
},
{
"title": "Nearly blind refugee found dead after being dropped off alone at coffee shop by Border Patrol",
"link": "https://www.wistv.com/video/2026/02/26/nearly-blind-refugee-found-dead-after-being-dropped-off-alone-coffee-shop-by-border-patrol/",
"thumbnail": "https://gray-wistv-prod.gtv-cdn.com/resizer/v2/https%3A%2F%2Fdo0bihdskp9dy.cloudfront.net%2F02-26-2026%2Ft_cd3c59332598491b8093acb3ec084e38_name_file_1280x720_2000_v3_1_.jpg?auth=ad4c967274be103d47c03b1c6e6d6272fb535393e234e20232ed9c5aa231e98c&width=1920&height=1080&smart=true",
"source": "WIS News 10",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.wistv.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T15:24:00.000Z",
"rank": 75
},
{
"title": "Support Local At Toms River, NJ's Newest Hot Spot For Coffee And Tea",
"link": "https://wobm.com/ixp/392/p/petal-potion-toms-river-nj/",
"thumbnail": "https://townsquare.media/site/392/files/2026/02/attachment-massimo-rinaldi-fmgz5xzdg-s-unsplash.jpg?w=780&q=75",
"source": "92.7 WOBM",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://wobm.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-27T03:01:13.000Z",
"rank": 76
},
{
"title": "Breakfast With Bob:Shibam Coffee",
"link": "https://www.fox29.com/video/fmc-jdj0uvsqr0keaomt",
"thumbnail": "https://static-media.fox.com/fmcv3/prod/fts/gzqvdcs5m43dtbwa/g82cjfeidoacbqht.jpg",
"source": "FOX 29 Philadelphia",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.fox29.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T17:08:00.000Z",
"rank": 77
},
{
"title": "Nearly blind refugee found dead after being dropped off alone at coffee shop by Border Patrol",
"link": "https://www.fox10tv.com/video/2026/02/26/nearly-blind-refugee-found-dead-after-being-dropped-off-alone-coffee-shop-by-border-patrol/",
"thumbnail": "https://gray-wala-prod.gtv-cdn.com/resizer/v2/https%3A%2F%2Fdo0bihdskp9dy.cloudfront.net%2F02-26-2026%2Ft_cd3c59332598491b8093acb3ec084e38_name_file_1280x720_2000_v3_1_.jpg?auth=ad4c967274be103d47c03b1c6e6d6272fb535393e234e20232ed9c5aa231e98c&width=1200&height=600&smart=true",
"source": "fox10tv.com",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.fox10tv.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T15:24:00.000Z",
"rank": 78
},
{
"title": "Omni Hotels & Resorts introduces Peet’s Coffee across their portfolio",
"link": "https://www.teaandcoffee.net/news/38829/omni-hotels-resorts-introduces-peets-coffee-across-their-portfolio/",
"thumbnail": "https://www.teaandcoffee.net/wp-content/uploads/AdobeStock_824688834-1-900x500.jpeg.webp",
"source": "Tea & Coffee Trade Journal",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.teaandcoffee.net&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T14:52:33.000Z",
"rank": 79
},
{
"title": "RAR Brewing joins Rise Up Coffee in planned move to south Salisbury",
"link": "https://www.delmarvanow.com/story/money/business-review/2026/02/26/rar-brewing-rise-up-coffee-now-both-planning-moves-to-south-salisbury/88861146007/",
"thumbnail": "https://www.delmarvanow.com/gcdn/-mm-/dd81f7b80aef18fc9ff3cd911b276728a9998bb7/c=0-306-3264-2142/local/-/media/2015/07/17/Salisbury/B9318126367Z.1_20150717165716_000_G4RBCKABN.1-0.jpg?width=660&height=371&fit=crop&format=pjpg&auto=webp",
"source": "DelmarvaNow.com",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.delmarvanow.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T10:01:00.000Z",
"rank": 80
},
{
"title": "‘Mysterious shutdown’: Jumbo’s Pizza Coffee Shop remains closed for over two weeks",
"link": "https://www.columbiaspectator.com/city-news/2026/02/26/mysterious-shutdown-jumbos-pizza-coffee-shop-remains-closed-for-over-two-weeks/",
"thumbnail": "https://www.columbiaspectator.com/resizer/v2/MQLNDP2C2VCZRKENORFPM53CQY.jpg?auth=c1e2889981d99ca3a1b1402a494a6fe67ebe220e095242028a8858bfeaf00de3",
"source": "Columbia Daily Spectator",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.columbiaspectator.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T08:56:49.000Z",
"rank": 81
},
{
"title": "BIGGBY COFFEE Welcomes Spring With Festive Irish Cream, Brown Sugar Creations and Seasonal Perks",
"link": "https://www.restaurantnews.com/biggby-coffee-spring-menu-irish-cream-brown-sugar-022626/",
"thumbnail": "https://www.restaurantnews.com/wp-content/uploads/2026/02/BIGGBY-COFFEE-Spring-Menu-Irish-Cream-Brown-Sugar.jpg",
"source": "RestaurantNews.com",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://www.restaurantnews.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T19:16:20.000Z",
"rank": 82
},
{
"title": "Nearly blind refugee found dead after being dropped off alone at coffee shop by Border Patrol",
"link": "https://www.azfamily.com/video/2026/02/26/nearly-blind-refugee-found-dead-after-being-dropped-off-alone-coffee-shop-by-border-patrol/",
"thumbnail": "https://gray-kpho-prod.gtv-cdn.com/resizer/v2/https%3A%2F%2Fdo0bihdskp9dy.cloudfront.net%2F02-26-2026%2Ft_cd3c59332598491b8093acb3ec084e38_name_file_1280x720_2000_v3_1_.jpg?auth=ad4c967274be103d47c03b1c6e6d6272fb535393e234e20232ed9c5aa231e98c&width=1920&height=1080&smart=true",
"source": "AZ Family",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://www.azfamily.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T15:24:00.000Z",
"rank": 83
},
{
"title": "Nearly blind refugee found dead after being dropped off alone at coffee shop by Border Patrol",
"link": "https://www.actionnews5.com/video/2026/02/26/nearly-blind-refugee-found-dead-after-being-dropped-off-alone-coffee-shop-by-border-patrol/",
"thumbnail": "https://gray-wmctv-prod.gtv-cdn.com/resizer/v2/https%3A%2F%2Fdo0bihdskp9dy.cloudfront.net%2F02-26-2026%2Ft_cd3c59332598491b8093acb3ec084e38_name_file_1280x720_2000_v3_1_.jpg?auth=ad4c967274be103d47c03b1c6e6d6272fb535393e234e20232ed9c5aa231e98c&width=1920&height=1080&smart=true",
"source": "Action News 5",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.actionnews5.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T15:24:00.000Z",
"rank": 84
},
{
"title": "Washing underwear in hotel coffee maker slammed as ‘disgusting’ as influencer faces backlash",
"link": "https://www.wfmd.com/2026/02/26/washing-underwear-in-hotel-coffee-maker-slammed-as-disgusting-as-influencer-faces-backlash/",
"thumbnail": "https://a57.foxnews.com/static.foxnews.com/foxnews.com/content/uploads/2024/10/931/523/luggage-in-hotel-room.jpg?ve=1&tl=1",
"source": "930 WFMD Free Talk",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.wfmd.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T20:42:38.000Z",
"rank": 85
},
{
"title": "Little Shop Hops: Nudibranch Coffee",
"link": "https://seattlespectator.com/2026/02/25/little-shop-hops-nudibranch-coffee/",
"thumbnail": "https://seattlespectator.com/wp-content/uploads/2026/02/Copy-of-1-7-1200x960.jpg",
"source": "seattlespectator.com",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://seattlespectator.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T10:35:58.000Z",
"rank": 86
},
{
"title": "Ralphs Coffee Bringing Vintage Charm to Boston's Seaport District | What Now Boston",
"link": "https://whatnow.com/boston/restaurants/ralphs-coffee-bringing-vintage-charm-to-bostons-seaport-district/",
"thumbnail": "https://whatnow.com/wp-content/uploads/2026/02/Ralphs.jpg",
"source": "WhatNow",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://whatnow.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-27T03:30:33.000Z",
"rank": 87
},
{
"title": "Luckin Coffee announces fiscal year 2025 results",
"link": "https://www.gcrmag.com/luckin-coffee-announces-fiscal-year-2025-results/",
"thumbnail": "https://www.gcrmag.com/wp-content/uploads/2026/02/AdobeStock_1801139698_Editorial_Use_Only.jpeg",
"source": "Global Coffee Report",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.gcrmag.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T21:46:49.000Z",
"rank": 88
},
{
"title": "SPONSORED The Place: Join Nate and Kelly for their Wendy's Coffee Break!",
"link": "https://www.ky3.com/video/2026/02/26/sponsored-place-join-nate-kelly-their-wendys-coffee-break/",
"thumbnail": "https://gray-ky3-prod.gtv-cdn.com/resizer/v2/https%3A%2F%2Fdo0bihdskp9dy.cloudfront.net%2F02-26-2026%2Ft_87ae113938ae45f2b2ff33a5bb199e6f_name_Screenshot_2026_02_26_095859.png?auth=1ce9ebeb6c58a86373a4476b32c993dcd5b9006ba4849cdb740b601a5a1b079c&width=1920&height=1080&smart=true",
"source": "KY3",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://www.ky3.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T16:08:00.000Z",
"rank": 89
},
{
"title": "J.M. Smucker's sales perk up on higher coffee prices; Elliott Mgmt gets 2 board seats - update (SJM:NYSE)",
"link": "https://seekingalpha.com/news/4557736-jm-smuckers-fq3-sales-perk-up-on-higher-coffee-prices",
"thumbnail": "https://static.seekingalpha.com/cdn/s3/uploads/getty_images/2215411866/image_2215411866.jpg?io=getty-c-w1280",
"source": "Seeking Alpha",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://seekingalpha.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T17:31:00.000Z",
"rank": 90
},
{
"title": "Are Dunkin’s buckets of iced coffee real? Here’s what we know",
"link": "https://www.wthr.com/article/news/nation-world/are-dunkin-iced-coffee-buckets-real/507-18fe9942-3f88-4a7b-8fa1-36dcd744d013",
"thumbnail": "https://media.tegna-media.com/assets/CCT/images/f7e0e1ba-7863-4976-8105-f59afe7565cf/f7e0e1ba-7863-4976-8105-f59afe7565cf_750x422.jpg",
"source": "WTHR",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.wthr.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T16:57:00.000Z",
"rank": 91
},
{
"title": "WILSON: Brewing up my favorite New Braunfels coffee shops",
"link": "https://herald-zeitung.com/opinion/wilson-brewing-up-my-favorite-new-braunfels-coffee-shops/article_fc9150ca-7ba1-458b-bf9f-756002825839.html",
"thumbnail": "https://bloximages.chicago2.vip.townnews.com/herald-zeitung.com/content/tncms/assets/v3/editorial/a/54/a543ff02-30aa-4f77-91a8-6b16b35932f5/699f34283fe4f.image.jpg?resize=400%2C286",
"source": "Herald-Zeitung",
"icon": "https://encrypted-tbn1.gstatic.com/faviconV2?url=https://herald-zeitung.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T00:30:00.000Z",
"rank": 92
},
{
"title": "Coffee shop in Plymouth serving hot beverages despite having no heat or power after blizzard",
"link": "https://www.cbsnews.com/boston/video/coffee-shop-in-plymouth-serving-hot-beverages-despite-having-no-heat-or-power-after-blizzard/",
"thumbnail": "https://assets2.cbsnewsstatic.com/hub/i/r/2026/02/26/03c52722-8e7e-4108-95f0-46f4432005e0/thumbnail/1280x720/7d528f6d86f653f7c018d012d4257ebd/661fccb0892ea656640527bc50cde58e.jpg",
"source": "CBS News",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.cbsnews.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T17:18:00.000Z",
"rank": 93
},
{
"title": "Grit+Grind Coffee plans to open its national headquarters in Andalusia in May, the latest step in a four-year journey.",
"link": "https://www.al.com/galleries/ORKNM3OUUVHBVFU27ERGUNB7IA/",
"thumbnail": "https://www.al.com/resizer/v2/GFJ3BD4GFRFLPK76G7OO2XTRJY.jpg?auth=9032306bde582e614505b5da0aa026c29e770b85df8c9bbdcf0d8cff7d207a10&width=800&smart=true&quality=90",
"source": "AL.com",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.al.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T18:36:20.000Z",
"rank": 94
},
{
"title": "SPARES2GO Milk Frother Lid Replacement For Krups Coffee Machine - Compatible With XN710, XN730, Nespresso M190, Delonghi EN110 Models (85mm External Diameter)",
"link": "https://umlconnector.com/itm/Lid-Replacement-For-Krups-Coffee-Machine-Compatible-With-XN710/333441",
"thumbnail": "https://m.media-amazon.com/images/I/61nzWoC8e4L._AC_SL1500_.jpg",
"source": "umlconnector.com",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://umlconnector.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T09:33:28.000Z",
"rank": 95
},
{
"title": "Taxes the talk of legislative coffee",
"link": "https://www.osceolaiowa.com/news/local/2026/02/26/taxes-the-talk-of-legislative-coffee/",
"thumbnail": "https://www.osceolaiowa.com/resizer/v2/PK6WP3P3VNBEZFOYFBDV6O4WWI.jpg?auth=4ad081dde6f1f6ea3a2d1ec7e296353d03e9c54386c6c54f4a2605ae1c7d818e&width=1200&height=679",
"source": "Osceola-Sentinel Tribune",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.osceolaiowa.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T17:21:24.000Z",
"rank": 96
},
{
"title": "Coffee Shop In A Historic Building",
"link": "https://fox8.com/on-air/new-day-cleveland/coffee-shop-in-a-historic-building/",
"thumbnail": "https://fox8.com/wp-content/uploads/sites/12/2026/02/7BC72AA4BEC5D5C339E61951389D0107.jpg?strip=1",
"source": "FOX 8 News",
"icon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://fox8.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T17:10:09.000Z",
"rank": 97
},
{
"title": "Impact100 Coffee & Chat 1",
"link": "https://www.wjhg.com/video/2026/02/26/impact100-coffee-chat-1/",
"thumbnail": "https://gray-wjhg-prod.gtv-cdn.com/resizer/v2/https%3A%2F%2Fdo0bihdskp9dy.cloudfront.net%2F02-26-2026%2Ft_660dca1cffe24ba8bbd814f23ee7125e_name_file_1280x720_2000_v3_1_.jpg?auth=09e705fcc6e60626b23ff343263fdf59e0dcc2bbcaf91fb3416c9af380aee785&width=1920&height=1080&smart=true",
"source": "WJHG",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.wjhg.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T13:18:00.000Z",
"rank": 98
},
{
"title": "Biggby Coffee recognizes individuals making a difference in their community",
"link": "https://www.fox17online.com/morning-mix/biggby-coffee-recognizes-individuals-making-a-difference-in-their-community",
"thumbnail": "https://ewscripps.brightspotcdn.com/dims4/default/405cfa5/2147483647/strip/true/crop/1280x672+0+24/resize/1200x630!/quality/90/?url=https%3A%2F%2Fcf.cdn.uplynk.com%2Fause1%2Fslices%2F6b6%2F2641ad36b5274c6abc96c2f4a99426ed%2F6b66eb2a31004ff384e01abb92f2ab39%2Fposter_2a4b624353da4ec5aa806ef55b7d93d7.jpg",
"source": "FOX 17 West Michigan News",
"icon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.fox17online.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T16:53:39.000Z",
"rank": 99
},
{
"title": "Caffè Nero cleared to acquire Compass Coffee assets for $4.76M after bankruptcy auction",
"link": "https://www.bizjournals.com/washington/news/2026/02/26/compass-coffee-sale-hearing-caff-nero.html",
"thumbnail": "https://media.bizj.us/view/img/13114434/img9217*900xx4032-2265-0-0.jpg",
"source": "The Business Journals",
"icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.bizjournals.com&client=NEWS_360&size=96&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
"authors": [],
"date": "2026-02-26T18:48:00.000Z",
"rank": 100
}
],
"related_topics": [
{
"title": "Tully's Coffee",
"topic_token": "CAAqIggKIhxDQkFTRHdvSkwyMHZNRE15TnpFMkVnSmxiaWdBUAE"
},
{
"title": "The Coffee Bean & Tea Leaf",
"topic_token": "CAAqIggKIhxDQkFTRHdvSkwyMHZNRFZmTnpRMkVnSmxiaWdBUAE"
},
{
"title": "Costa Coffee",
"topic_token": "CAAqIggKIhxDQkFTRHdvSkwyMHZNRGN6YUdwa0VnSmxiaWdBUAE"
},
{
"title": "Coffeezilla",
"topic_token": "CAAqKAgKIiJDQkFTRXdvTkwyY3ZNVEYwWnpWNU5uZzJlUklDWlc0b0FBUAE"
},
{
"title": "Caribou Coffee",
"topic_token": "CAAqJAgKIh5DQkFTRUFvS0wyMHZNRE53TVhGZk1oSUNaVzRvQUFQAQ"
},
{
"title": "Peet's Coffee",
"topic_token": "CAAqIggKIhxDQkFTRHdvSkwyMHZNRFJmZW10dUVnSmxiaWdBUAE"
},
{
"title": "Blue Bottle Coffee",
"topic_token": "CAAqJAgKIh5DQkFTRUFvS0wyMHZNRE53TVRKeFpCSUNaVzRvQUFQAQ"
},
{
"title": "International Coffee Day",
"topic_token": "CAAqJAgKIh5DQkFTRUFvS0wyMHZNR2czYkRsdVpoSUNaVzRvQUFQAQ"
},
{
"title": "Luckin Coffee",
"topic_token": "CAAqKAgKIiJDQkFTRXdvTkwyY3ZNVEZtWkRaa2FEWTVOUklDWlc0b0FBUAE"
},
{
"title": "Coffee-Mate",
"topic_token": "CAAqJAgKIh5DQkFTRUFvS0wyMHZNREkzY0RRNU5CSUNaVzRvQUFQAQ"
},
{
"title": "Zus Coffee",
"topic_token": "CAAqKAgKIiJDQkFTRXdvTkwyY3ZNVEZ3ZVhONGNXNDVOaElDWlc0b0FBUAE"
},
{
"title": "The Coffee Club",
"topic_token": "CAAqIggKIhxDQkFTRHdvSkwyMHZNR1l5TjJSdEVnSmxiaWdBUAE"
}
]
},
"requestId": "1e3a6d5b-f037-46cc-9ded-fbfb66838dab",
"timestamp": 1772171238379
}